[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# RecodeMinute

Replace minutse part of a TDateTime value with another minute.

## Declaration

Source position: dateutil.inc line 348

`function RecodeMinute(`
`const AValue: TDateTime;`
`const AMinute: Word`
`):TDateTime;`

## Arguments

`AValue` |  | Date/time to recode
`AMinute` |  | Minute to replace in AValue

## Function result

AValue with replaced minute.

## Description

RecodeMinute replaces the Minute part of the timestamp AValue with AMinute. All other parts of the date/time stamp are left untouched.

## Errors

If the AMinute value is not within a valid range (0..59) then an EConvertError exception is raised.

## See also

RecodeYear |  | Replace year part of a TDateTime value with another year.
RecodeMonth |  | Replace month part of a TDateTime value with another month.
RecodeDay |  | Replace day part of a TDateTime value with another day.
RecodeHour |  | Replace hours part of a TDateTime value with another hour.
RecodeSecond |  | Replace seconds part of a TDateTime value with another second.
RecodeMilliSecond |  | Replace milliseconds part of a TDateTime value with another millisecond.
RecodeDate |  | Replace date part of a TDateTime value with another date.
RecodeTime |  | Replace time part of a TDateTime value with another time.
RecodeDateTime |  | Replace selected parts of a TDateTime value with other values

## Example

    Program Example91;

    { This program demonstrates the RecodeMinute function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = 'dddd dd mmmm yyyy hh:nn:ss';

    Var
      S : AnsiString;

    Begin
      S:=FormatDateTime(Fmt,RecodeMinute(Now,0));
      Writeln('This moment in the first minute of the hour: ',S);
    End.

Documentation generated on: Feb 26 2014